Permalink
Browse files

Bump mongo dependency to 1.2.0 and update mongo uri handling.

  • Loading branch information...
dbackeus committed Jan 31, 2011
1 parent bd80a46 commit 551575786d1f5f7ce4daf7f247756134d07f160f
Showing with 2 additions and 4 deletions.
  1. +1 −3 lib/resque.rb
  2. +1 −1 resque-igo.gemspec
View
@@ -30,10 +30,8 @@ module Resque
def mongo=(server)
if server.is_a?(String) && server.start_with?('mongodb://')
- raise "Connecting with a mongodb uri requires Mongo driver version 1.1.5 or higher." if Mongo::VERSION < "1.1.5"
conn = Mongo::Connection.from_uri(server)
- nodes, auths = Mongo::URIParser.parse(server)
- queuedb = auths.first['db_name']
+ queuedb = Mongo::URIParser.new(server).auths.first['db_name']
elsif server.is_a? String
opts = server.split(':')
host = opts[0]
View
@@ -24,7 +24,7 @@ Gem::Specification.new do |s|
s.add_dependency "vegas", "~> 0.1.2"
s.add_dependency "sinatra", ">= 0.9.2"
s.add_dependency "json", "~> 1.4.6"
- s.add_dependency "mongo", ">= 1.0.7"
+ s.add_dependency "mongo", "~> 1.2.0"
s.description = <<description
Resque is a Redis-backed Ruby library for creating background jobs,

0 comments on commit 5515757

Please sign in to comment.